///home/berryj/link/bin/genMethods "-g" "-t" "Set<int>" "-h" "Sequence" "-r" "Collection<Set<int> >" "-I" "LINK/basic/Sequence.h" "-d" "basic" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/basic/Sequence.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>
#include <LINK/stkWrapper/CollectionWrapper.h>


typedef Set<int> _Set_int_;
typedef Sequence<Set<int> > _Sequence_Set_int__;
static Sequence<Set<int> > s__Sequence_Set_int__;

#define _Sequence_Set_int__DATA(x) ((Sequence<Set<int> >*) (EXTDATA(x)))
#define _Sequence_Set_int__IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Sequence<Set<int> > >::type))
#define _Sequence_Set_int__ISNT_DATA(x) (!_Sequence_Set_int__IS_DATA(x))

#define _Sequence_Set_int__CXX_DATA(x) (*(Sequence<Set<int> >*) (EXTDATA(VAL(x))))
#define _Sequence_Set_int__CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Sequence<Set<int> > >::type))
#define _Sequence_Set_int__CXX_ISNT_DATA(x) (!_Sequence_Set_int__CXX_IS_DATA(x))


PRIMITIVE STk_init__Sequence_Set_int__()
{
	Wrapper<_Sequence_Set_int__>::type = STk_new_CXXwrapper_id(
			Wrapper<_Sequence_Set_int__>::name, 
			Wrapper<Collection<Set<int> > >::name,
			(void (*)(SCM x, SCM port, int mode))
			CollectionWrapper<_Set_int_>::displayTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Set_int_>::markTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Set_int_>::freeTypedCollection);
	Tcl_InitHashTable(&Register<_Sequence_Set_int__>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_Sequence_Set_int__Methods(void);

PRIMITIVE STk_init_methods__Sequence_Set_int__()
{
	genExtra_Sequence_Set_int__Methods();
	return UNDEFINED;
}
